<section class="contacts__sec1">
    <div class="container">
        <div class="overview-allbox overview-content  ">
            <div class="row">
                <div class="col-md-12 text-center mb-5 pb-4">
                    <h3><%-data.bodyHeading-%></h3>
                </div>
                <div class="col-md-6 contacts__sec1_left">
                    <div class="form-group js-article-section article__section  ">
                        <label for="">Name</label>
                        <input type="text" name="" id="name" class="form-control" placeholder=""
                            aria-describedby="nameId">
                    </div>

                    <div class="form-group js-article-section article__section ">
                        <label for="">Email</label>
                        <input type="email" class="form-control" name="" id="email" aria-describedby="emailId"
                            placeholder="">
                    </div>

                    <div class="form-group js-article-section article__section ">
                        <label for=""> Phone</label>
                        <input type="text" name="" id="phone" class="form-control" placeholder=""
                            aria-describedby="phoneId">
                    </div>

                    <div class="form-group js-article-section article__section ">
                        <label for="">Message</label>
                        <textarea class="form-control" name="" id="messege" placeholder="" aria-describedby="messageId"
                            rows="5" maxlength="100"></textarea>
                    </div>
                    <div class="form-group js-article-section article__section ">
                        <a type="submit" onclick="submitContactForm(event)" class="btn btn-light  "><img src="images/submit-button1.jpg" alt="submit"/></a>
                    </div>

                    <div class="clearfix"></div>
                </div>

                <div class="col-md-6">
                    <div class="contacts__sec1_right  js-article-section article__section ">
                        <img src="<%-data.bodyImg-%>" alt="contact"/>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="sml-note mt-5 js-article-section article__section">
                        <p><%-data.bodyPara1-%> </p>
                        <p><%-data.bodyPara2-%></p>
                        <p><%-data.bodyPara3-%></p>
                        <p><%-data.bodyPara4-%></p>
                        <p><%-data.bodyPara5-%></p>
                       
                    </div>
                </div>

            </div>

        </div>
    </div>
</section>

<script>
async function submitContactForm(event){
 event.preventDefault()
 const name = document.getElementById('name').value
 const email = document.getElementById('email').value
 const phone = document.getElementById('phone').value
 const messege = document.getElementById('messege').value
 if(!name){alert("name required")}
 else if(!email){alert("email required")}
 else if(!phone){alert("phone required")}
 else if(!messege){alert("messege required")}
 else{
 await fetch(`https://hereditary-backend.herokuapp.com/api/v2/contact_us/uploadContactForm`,{
     method:"Post",
     headers:{
        "Content-Type":"application/json"
     },
     body:JSON.stringify({name,email,phone,messege})
 }).then((res)=>{
     console.log(res)
      if(res.status === 422){
         alert("Please provided valid field")
      }else if(res.status === 200){
        document. getElementById('name'). value = ''
        document. getElementById('email'). value = ''
        document. getElementById('phone'). value = ''
        document. getElementById('messege'). value = ''
         alert("Submitted successfully")
     }else{
         alert('Please try again')
     }
 }).catch((error)=> console.log(error))
 }
    
}
</script>